.ifndef MkBase
MkBase?=yes

.include "Makefile.base"
BASE?=/usr/local

SRCDIR=${BASE}/src
INCDIR=${SRCDIR}/include
LIBDIR=${SRCDIR}/lib/obj.${MACHINE}
BINDIR=/usr/local/etc
MANDIR=${BASE}/man/cat
ETCDIR=${BASE}/etc
BINOWN=${USER}
BINGRP=wheel
LIBOWN=${USER}
LIBGRP=wheel
LIBMODE=644
BINMODE=755
.if exists(${BASE}/bin/install.sh)
INSTALL=${BASE}/bin/install.sh
.else
# hope it is in $PATH
INSTALL=install.sh
.endif
STRIP=
COPY=
OBJMACHINE=yes
LDSTATIC=$(STATIC)
LDADD+=${LDSTATIC} -L${LIBDIR} ${LIBS} 
CFLAGS+= -I. 
.if exists(${INCDIR}.${MACHINE})
CFLAGS+= -I${INCDIR}.${MACHINE}
.endif
CFLAGS+= -I${INCDIR}

.endif
