/*
 *      @(#)Copyright (c) 1994, Simon J. Gerraty.
 *      
 *      This code is presented AS IS.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@zen.void.oz.au
 */
#ifndef lint
static char RCSid[] = "$Id: authglue.c,v 1.1 1995/02/08 11:50:14 sjg Exp $";
#endif

int
get_line(s, buf, nbytes)
	int s, nbytes;
	char *buf;
{
	int cnt = 0;

	buf[0] = '\0';
	if ((cnt = read(s, buf, nbytes)) > 0) {
		for (cnt--;
		     cnt >= 0 && (buf[cnt] == '\r' || buf[cnt] == '\n');
		     cnt--)
			buf[cnt] = '\0';
		if (cnt < 0)
			cnt = 0;		/* only white space */
	} else
		cnt = -1;			/* to be certain */
	return cnt;
}

